Skip to main content
POST
AhaSend Go SDK

Authorizations

Authorization
string
header
required

API key for authentication. Non-empty Security Requirement values are AhaSend API-key roles. Roles listed within one requirement object are jointly required; separate requirement objects are alternatives.

Headers

Idempotency-Key
string

Optional idempotency key for safe request retries. Must be a unique string for each logical request. An identical request with a completed stored outcome returns the original status and body. An in-progress execution returns 409, a changed method/path/body returns 422, and a released 5xx execution may run again. Keys for non-secret responses expire after 24 hours. API-key create responses include a one-time secret_key, so successful encrypted replay responses for those operations expire after 5 minutes.

Maximum string length: 255

Path Parameters

account_id
string<uuid>
required

Account ID

Body

application/json
email
string<email>
required

Email address of the user to add

role
enum<string>
required

Role to assign to the user

Available options:
Administrator,
Developer,
Analyst,
Billing Manager
name
string

Display name for the user

Response

Member added successfully

created_at
string<date-time>
required

When the relationship was created

updated_at
string<date-time>
required

When the relationship was last updated

user_id
string<uuid>
required

User ID

account_id
string<uuid>
required

Account ID

role
enum<string>
required

User role in the account

Available options:
Administrator,
Developer,
Analyst,
Billing Manager